package eu.beesoft.gantt.demo;

import java.awt.event.ActionEvent;
import java.util.List;
import javax.swing.Action;
import javax.swing.JFrame;
import eu.beesoft.gantt.JavaGantt;
import eu.beesoft.gantt.action.AbstractTreeTableAction;
import eu.beesoft.gantt.treetable.GanttNode;
import eu.beesoft.gantt.undo.UndoStep;

@SuppressWarnings("serial")
public class TaskPropertiesAction extends AbstractTreeTableAction {

	public TaskPropertiesAction(JavaGantt gantt) {
		super (gantt);
	}



	@Override
	protected boolean executeAction (ActionEvent event, UndoStep undo) {
		List<GanttNode> nodes = getSelectedNodes ();
		if (!nodes.isEmpty ()) {
			GanttNode node = nodes.get (0);
			Task task = (Task) node.getUserObject ();
			showTaskProperties (task, getGantt ());
		}
		return false;
	}



	public static void showTaskProperties (Task task, JavaGantt gantt) {
		TaskForm form = new TaskForm (task, gantt);
		Action[] actions = form.getActions ();
		form.showDialog ((JFrame) gantt.getTopLevelAncestor (), "Edit task properties", actions);
	}
}
